Subject: Re: [PATCH]amilo-rfkill: add depends on i8042 in Kconfig

From: Randy Dunlap <[email-masked]>
Date: Thu, 27 Jun 2013 09:40:41 -0700

On 06/18/13 18:09, Xiong Zhou wrote:
> 2013/6/18 Randy Dunlap <[email-masked]>:
>> On 06/18/13 06:04, Ben Hutchings wrote:
>>> On Tue, 2013-06-18 at 17:21 +0800, Xiong Zhou wrote:
>>>> From: Xiong Zhou <[email-masked]>
>>>>
>>>> Fix randconfig build failure for Amilo x86 platform driver.
>>>> AMILO_RFKILL requires SERIO_I8042 being available.
>>>>
>>>> amilo-rfkill.c:(.text+0x108b5b): undefined reference to `i8042_lock_chip'
>>>> amilo-rfkill.c:(.text+0x108b69): undefined reference to `i8042_command'
>>>> amilo-rfkill.c:(.text+0x108b71): undefined reference to `i8042_unlock_chip'
>>>>
>>>> Reported-by: Jim Davis <[email-masked]>
>>>> Signed-off-by: Xiong Zhou <[email-masked]>
>>>
>>> Acked-by: Ben Hutchings <[email-masked]>
>>>
>>> But I thought somehow sent this same fix a while back...
>>
>> Yes, I reported it and sent a patch for it that you acked...
>> I guess my patch was never picked up.
>>
> 
> ... Better someone pick this up.
> 

This build error is still occurring in linux-next (20130627).
I first reported it and posted a patch for it on May-15 2013.

Please merge either patch...

Is anybody out there?

> 
>>>
>>> Ben.
>>>
>>>> ---
>>>>  drivers/platform/x86/Kconfig |    1 +
>>>>  1 file changed, 1 insertion(+)
>>>>
>>>> diff --git a/drivers/platform/x86/Kconfig b/drivers/platform/x86/Kconfig
>>>> index 8577261..37645b9 100644
>>>> --- a/drivers/platform/x86/Kconfig
>>>> +++ b/drivers/platform/x86/Kconfig
>>>> @@ -176,6 +176,7 @@ config FUJITSU_TABLET
>>>>  config AMILO_RFKILL
>>>>      tristate "Fujitsu-Siemens Amilo rfkill support"
>>>>      depends on RFKILL
>>>> +    depends on SERIO_I8042
>>>>      ---help---
>>>>        This is a driver for enabling wifi on some Fujitsu-Siemens Amilo
>>>>        laptops.
>>>
>>
>>
>> --
>> ~Randy
> --

-- 
~Randy